com.opensymphony.xwork2.ognl

## Class DefaultOgnlBeanInfoCacheFactory<Key,Value>

- java.lang.Object
- - com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory<Key,Value>
  - - com.opensymphony.xwork2.ognl.DefaultOgnlBeanInfoCacheFactory<Key,Value>

- Type Parameters:
    `Key` - The type for the cache key entries
    `Value` - The type for the cache value entries
  All Implemented Interfaces:
    BeanInfoCacheFactory<Key,Value>, OgnlCacheFactory<Key,Value>

      public class DefaultOgnlBeanInfoCacheFactory<Key,Value>
      extends DefaultOgnlCacheFactory<Key,Value>
      implements BeanInfoCacheFactory<Key,Value>

  Default OGNL Cache factory implementation. Currently used for BeanInfo cache creation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.ognl.OgnlCacheFactory

      `OgnlCacheFactory.CacheType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOgnlBeanInfoCacheFactory()` Deprecated. since 6.4.0, use `DefaultOgnlBeanInfoCacheFactory(String, String)`
    `DefaultOgnlBeanInfoCacheFactory(String cacheMaxSize, String defaultCacheType)`

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory

      `buildOgnlCache, buildOgnlCache, getCacheMaxSize, getDefaultCacheType, setCacheMaxSize, setUseLRUCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.ognl.OgnlCacheFactory

      `buildOgnlCache, buildOgnlCache, buildOgnlCache, getCacheMaxSize, getDefaultCacheType, getUseLRUCache`

- - ### Constructor Detail

    - #### DefaultOgnlBeanInfoCacheFactory

          @Deprecated
          public DefaultOgnlBeanInfoCacheFactory()

      Deprecated. since 6.4.0, use `DefaultOgnlBeanInfoCacheFactory(String, String)`

    - #### DefaultOgnlBeanInfoCacheFactory

          public DefaultOgnlBeanInfoCacheFactory(String cacheMaxSize,
                                                 String defaultCacheType)

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.